#### Linux From Scratch - Version 12.0-rc1

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  File-5.45

- Next

  Gawk-5.2.2

- Up
- Home

# 6.8. Findutils-4.9.0

The Findutils package contains programs to find files. Programs are provided to search through all the files in a directory tree and to create, maintain, and search a database (often faster than the recursive find, but unreliable unless the database has been updated recently). Findutils also supplies the xargs program, which can be used to run a specified command on each file selected by a search.

Approximate build time: 0.1 SBU
Required disk space: 42 MB

## 6.8.1. Installation of Findutils

Prepare Findutils for compilation:

    ./configure --prefix=/usr                   \
                --localstatedir=/var/lib/locate \
                --host=$LFS_TGT                 \
                --build=$(build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.60.2, “Contents of Findutils.”

- Prev

  File-5.45

- Next

  Gawk-5.2.2

- Up
- Home